Subject: Re: bug#47971: Improve Guix commands for update/upgrade

From: Christopher Baines <[email-masked]>
Date: Fri, 23 Apr 2021 15:15:45 +0100

bo0od <[email-masked]> writes:

> Hi There,
>
> The current commands used to make sure everything updated are not
> friendly to type nor to memorize, Current commands:(i dunno if i
> missed more)
>
> guix pull
> guix upgrade
> sudo guix reconfigure /etc/config.scm
>
>
> There is no relation can be drawn from using these commands:
>
> - pull: Is actually the opposite of push which is a git command and it
>   make sense in git atmosphere/usage.

guix pull usually does a git pull under the hood and then builds guix
from that updated repository.

I don't get what you mean when you say pull is actually the opposite of
push? That's true in the sense of the words, but how does that relate to
Guix?

> - upgrade: This is the only good one as this is very common term used
>   within distros or actually most of the operating systems generally.
>
> - reconfigure /etc/config.scm: hmm...
>
> There are many ways we can improve this by using different better
> terms which can be easily memorized and even linked e.g: (These are
> just examples, If there are any better terms you can come with sure
> why not)
>
> - pull -> update or refresh

I think update is OK, although I think pull is OK too. refresh is
already taken.

> - upgrade -> can be kept or package-upgrade
> - reconfigure /etc/config.scm -> dist-upgrade or distro-upgrade or
>   system-upgrade

You can "downgrade" (switch to using an older Guix/software) by
reconfiguring, so I wouldn't like to see that operation referred to as
an upgrade (as it's not always).